Bug 148836 - IMAP Groupware doesn't load initially
Summary: IMAP Groupware doesn't load initially
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: calendar (show other bugs)
Version: 1.9.7
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2007-08-15 01:42 UTC by Luke-Jr
Modified: 2010-01-09 17:11 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2007-08-15 01:42:56 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    Gentoo Packages

When I launch KAddressBook or KOrganizer, they appear blank with no info initially. Only after moving (in KMail) all my Tasks or Contact to another folder and back do they appear in the PIM utilities.
Comment 1 Thomas McGuire 2007-08-15 13:26:56 UTC
This is probably the same as bug 126803. Does the workaround in the bug mentioned there help here?
Comment 2 Luke-Jr 2007-08-15 16:25:57 UTC
No, as all events and contacts make it to the IMAP server safely (though KOrganizer does claim an error in saving). After creating a task, I can immediately see it in the Tasks folder in KMail.
Comment 3 wjl 2007-08-16 18:39:38 UTC
I can confirm this bug. It happens with everything: Contacts, Tasks, and Calendar entries. Every time I load up kontact I have to MOVE everything to another folder, then back for it to work, just like the reporter says.
Comment 4 wjl 2007-08-16 18:41:12 UTC
I also can confirm the "error saving" bit.

When I make a new appointment, it gives an error about not being able to save it. But it actually does save it and appears on the calendar and in the IMAP calendar folder. If you keep pressing save it will keep giving errors, and keep making more and more entries. So you have to do "Save" then "Cancel". It's very very odd, but works.
Comment 5 Luke-Jr 2007-08-16 19:03:02 UTC
I use Courier IMAP on the server, just in case that's related.
I can setup an account for testing, if desired.
Comment 6 Luke-Jr 2007-09-30 08:44:36 UTC
Ok, this one is annoying me enough that I'm willing to throw some time at it. Can I get some pointers on where the relevant code is located in the source tree?
Comment 7 Thomas McGuire 2007-10-04 00:33:04 UTC
>Ok, this one is annoying me enough that I'm willing to throw some time at it. Can I get some pointers on where the relevant code is located in the source tree? 
I don't know the location of that code, but I know that the problem will most likely vanish with Akonadi in KDE 4.1 or 4.2.
Comment 8 Luke-Jr 2007-10-04 01:16:54 UTC
... which is probably about a year away.
Comment 9 Michael Leupold 2009-04-05 22:23:13 UTC
I can no longer confirm this bug on trunk r948809. If a task/appointment/contact shows up in the IMAP folder it shows up in korganizer/kaddressbook as well. On loading the applications the items are already there.
Comment 10 Björn Ruberg 2010-01-09 17:11:20 UTC
Sounds resolved.